The SML of NJ Library
The `SExpParser` structure

The `SExpParser` structure implements a parser for S-Expressions.

## Synopsis

    structure SExpParser

## Interface

    val parse : TextIO.instream -> SExp.value list

    val parseFile : string -> SExp.value list

## Description

`val parse : TextIO.instream -> SExp.value list`

  `parse inS` parses a sequence of S-Expressions from the input stream `inS`. The `Fail` exception is raised if a syntax error is encountered.

`val parseFile : string -> SExp.value list`

  `parse f` parses a sequence of S-Expressions from the file `f`. The `Fail` exception is raised if a syntax error is encountered.

## See Also

`SExp`, The SExp Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC